
QGIS Application - Bug report #16915

estimatedmetadata=true parameter on postgres datasource reports wrong number of features when 

filtering layer

2017-07-22 11:12 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24814

Description

When postgres datasource has estimatedmetadata=true parameter, layer reports wrong number of features. 

This can be easily seen when setting provider filter and hitting "Test" button. 

Dialog will report total feature count instead of number of selected features.

This also affects python api: layers with set filters have all datasource features instead of matching.

Related issues:

Duplicates QGIS Application - Bug report # 5769: Test filter in old query bui... Closed 2012-06-08

History

#1 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#2 - 2017-09-08 01:56 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #5769

#3 - 2017-09-08 01:56 PM - Jürgen Fischer

- Duplicates Bug report #5769: Test filter in old query builder incorrect added
